package com.desfate.chart.util;

import android.util.Log;

/**
 * log输出<li>含有保护机制
 * @author Administrator
 */
public class LogUtils {
	private static boolean isDebug = true;//将全部的log都关闭或者打开


    private static boolean isLEnable = true; //只关闭 l 类型的log  //链路层log


	private static boolean isWEnable = true;// 只关闭 w 类型的log
	private static boolean isDEnable = true;// 只关闭 d 类型的log
	private static boolean isIEnable = true;// 只关闭 i 类型的log
	private static boolean isEEnable = true;// 只关闭 e 类型的log


    /**
     * 用于发送链路层log  请勿乱用
     *
     * @param tag
     * @param msg
     */
    public static void l(String tag, String msg) {
        if (msg == null) {
            return;
        }
        if (isDebug)
            Log.i(tag, msg);
    }



	public static void w(String tag, String msg) {
		if (msg == null) {
			return;
		}
		if (isDebug)
			Log.w(tag, msg);
	}
	
	public static void w(String tag, Throwable tr) {
		if (tr == null) {
			return;
		}
		if (isDebug && isWEnable)
			Log.w(tag, tr);
	}
	
	public static void d(String tag, String msg) {
		if (msg == null) {
			return;
		}
		if (isDebug && isDEnable)
			Log.d(tag, msg);
	}
	
	public static void i(String tag, String msg) {
		if (msg == null) {
			return;
		}
		if (isDebug && isIEnable)
			Log.i(tag, msg);
	}
	
	public static void e(String tag, String msg) {
		if (msg == null) {
			return;
		}
		if (isDebug && isEEnable)
			Log.e(tag, msg);
	}
	
	public static boolean isDebug() {
		return isDebug;
	}
	
}
